cyassl: update to wolfssl version 3.9.10
authorHauke Mehrtens <hauke@hauke-m.de>
Sat, 3 Dec 2016 20:33:48 +0000 (21:33 +0100)
committerHauke Mehrtens <hauke@hauke-m.de>
Sat, 3 Dec 2016 20:35:35 +0000 (21:35 +0100)
This fixes the following security problems:
CVE-2016-7440: Software AES table lookups do not properly consider cache-bank access times
CVE-2016-7439: Software RSA does not properly consider cache-bank monitoring
CVE-2016-7438: Software ECC does not properly consider cache-bank monitoring
SWEET32 Attack

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
package/libs/cyassl/Makefile

index fe09e78..3cd8e4c 100644 (file)
@@ -8,12 +8,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=wolfssl
-PKG_VERSION:=3.9.6
+PKG_VERSION:=3.9.10
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).zip
 PKG_SOURCE_URL:=https://www.wolfssl.com/
-PKG_MD5SUM:=df435eacae4f2f1a92a241e80a2106d9
+PKG_MD5SUM:=793921c0db96248be4a369cbfdf0cb7b37ee2be715b8b775b6cd32efe66f494e
 
 PKG_FIXUP:=libtool
 PKG_INSTALL:=1